package Secure;

=pod
модуль предназначен для входа в подключаемую программу по паролю и логину
подключается как-

----------------------------------------------------------------
require Secure;
Secure::st('путь к файлу с паролем', 'базовый адрес');
----------------------------------------------------------------

например- Secure::st('../../log/passw.log', 'www.youdomian.com');

В файле passw.log надо прописать, используя в качестве разделителя %%-
----------------------------------------------------------------
вашлогин%%вашпароль
----------------------------------------------------------------

Программа использует cookis, время сеанса-1час.
по вопросам обращаться algol@hotmail.ru

=cut


sub st{
use CGI qw(:standard);
my $fil=@_[0];
my $url="http://@_[1]$ENV{SCRIPT_NAME}";
open (PAS,"$fil");
my $x=<PAS>;
close(PAS);
@a=split(/%%/,$x);
chomp($a[1]);
%cookis=cookie('welcome_login');
if($cookis{log}eq$a[0] && $cookis{pass}eq$a[1]){ return 1;}

if(param('sec_log')){
                    if(param('sec_log') eq $a[0] && param('sec_pass') eq $a[1]){
                                                                               %welcome=(log=>$a[0],
                                                                                         pass=>$a[1]);
$new_cookie= cookie(-name=>'welcome_login',-values=>\%welcome,-expires=>'+1h');
print header(-cookie=>$new_cookie, -Refresh=>"1; URL=$url"),start_html('Welcome'),end_html;
                                                                                         exit;
                                                                                }

                    }

print header,start_html('Welcome');
print '<center>',h2('Input your data'),startform('post',$url),'login: ',textfield('sec_log','',7),"<br>password: ",
password_field('sec_pass','',7),"<br>",submit('enter'),'</center>', endform;
exit;
}
sub quit{exit;}
return 1;




